


---

 25-akpm/fs/mpage.c |    8 ++++++++
 1 files changed, 8 insertions(+)

diff -puN fs/mpage.c~writepage-retval-warning fs/mpage.c
--- 25/fs/mpage.c~writepage-retval-warning	2004-04-23 00:19:36.464760768 -0700
+++ 25-akpm/fs/mpage.c	2004-04-23 00:20:51.480356664 -0700
@@ -658,12 +658,20 @@ retry:
 			if (writepage) {
 				ret = (*writepage)(page, wbc);
 				if (ret) {
+					static int count;
+
 					if (ret == -ENOSPC)
 						set_bit(AS_ENOSPC,
 							&mapping->flags);
 					else
 						set_bit(AS_EIO,
 							&mapping->flags);
+					if (ret > 0 && count < 10) {
+						printk("warning: writepage "
+							"returned junk\n");
+						dump_stack();
+						count++;
+					}
 				}
 			} else {
 				bio = mpage_writepage(bio, page, get_block,

_
